Page MenuHomePhabricator

CREDIT showcase for the 2017 wikitext editor
Closed, ResolvedPublic8 Story Points

Description

James and CLs discussed the topic today and looks like he (and maybe Ed) would be available from early October on. @Rfarrand, would you be able to walk him through the format in person a bit? We've never done anything like this before, turns out.

Edit: Title was changed to reflect we went with a CREDIT talk instead.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedJdforrester-WMF
ResolvedElitre
ResolvedWhatamidoing-WMF
ResolvedEsanders

Event Timeline

Elitre created this task.Sep 12 2016, 4:45 PM

Ping @Jdforrester-WMF, @Esanders : how can I help moving forward with this?

Qgil reassigned this task from Rfarrand to Esanders.

After a very short chat on the spot with JamesF and then some thoughts on my own...

What we are looking for here is a technical session indeed, but in fact a session that is also useful for editors to see what is coming and understand the motivations of this project from their developers. Not a pure Tech Talk as in "developers, this is what you can do with this new editor" but neither a pure demo for users.

For these reasons, and considering how busy and weird are going to be the next weeks, I think that the Wikimedia-Developer-Summit (2017) might offer a good context for this session. Imagine a live demo by @Esanders and @Jdforrester-WMF (and/or whoever they prefer) with some context and a Q&A / discussion, leading to (if there is enough interest) an unconference BoF with developers interested in e.g. porting / creating plugins for this editor, get involved, etc.

Since the deadline to submit proposals is so close, I am taking the liberty to add the Wikimedia-Developer-Summit (2017) tag here. If the dev team has better ideas not involving the Summit, then they can always pull it.

I am also deassigning this task from @Rfarrand and assigning it to... Ed? because clearly this decision is not in Rachel's hands.

cscott added a subscriber: cscott.Nov 3 2016, 9:16 PM

@Qgil what topic were you thinking of for this talk? I'm going to add it to "wiki content beyond plaintext" for the moment, I guess...

Qgil added a comment.Nov 4 2016, 1:50 PM

https://www.mediawiki.org/wiki/2017_wikitext_editor, but obviously only if the dev team is interested and drives this session.

Elitre added a comment.Nov 8 2016, 3:52 PM

I don't know if they want to do anything at the Summit, but the Tech Talk idea we had in mind now looks more like a short walkthrough video based on the latest conversation we had about this.

Qgil removed Esanders as the assignee of this task.Nov 15 2016, 7:33 AM

Since the deadline to submit proposals is so close, I am taking the liberty to add the Wikimedia-Developer-Summit (2017) tag here. If the dev team has better ideas not involving the Summit, then they can always pull it.

Given the silence, I think my step was premature (if well-intentioned). I am reverting it now. Sorry!

Jdforrester-WMF closed this task as Resolved.Dec 7 2016, 11:43 PM
Jdforrester-WMF assigned this task to Esanders.

I think https://youtu.be/W_sf-kHAQkg?t=9m24s is sufficient to declare this fixed for the original purpose; we'll also do specific work in the hallway track of WikiDev 2017 and other places.

Qgil awarded a token.Dec 8 2016, 10:34 AM

Great, thanks James.
As is the new-tradition (if you can use those words together) it is up to you to nominate a next tech talker / topic if you are willing! I will do the rest.
Thanks!

Well @dchan and @Esanders and @Catrope did all the talking. ;-) But to be very parochial it might be nice for @Tchanders to give a tech talk about the visual diffs system. Thalia, what do you think?

Yes - very happy to do that

That's now T152948 for your convenience. Thanks everyone.

Elitre rescinded a token.
Elitre awarded a token.
Elitre renamed this task from Tech Talk for the 2017 wikitext editor to CREDIT showcase for the 2017 wikitext editor.Jan 19 2017, 7:27 PM
Elitre updated the task description. (Show Details)